Bug 207127 - www/mathjax update to 2.6.1
Summary: www/mathjax update to 2.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-12 10:39 UTC by Marko Cupać
Modified: 2016-02-23 10:22 UTC (History)
2 users (show)

See Also:


Attachments
diffs for Makefile and distinfo (864 bytes, text/plain)
2016-02-12 10:39 UTC, Marko Cupać
no flags Details
diffs for Makefile and distinfo (990 bytes, patch)
2016-02-12 10:47 UTC, Marko Cupać
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marko Cupać 2016-02-12 10:39:25 UTC
Created attachment 166892 [details]
diffs for Makefile and distinfo

Hi,

MathJax current version is 2.6.1, since a few days ago. Version in ports is 2.4.0, released in June of 2014. I was looking for a newer version because of bug which displays vertical line in formulas in chrome browser.

As mathjax looks like very undemanding port from maintainer's point of view, I gave changing portversion a try, followed with 'make makesum', and poudriere has built it without problems. I'm using this updated package on one of my production servers, and I haven't encountered any problems.

I have no experience with port maintaining, but I guess I can periodically check MathJax github page for new versions, change portversion line in Makefile, calculate new checksums for distinfo and submit diffs. If that's better than having this port maintainted by ports@, I can take over its maintenance.

Regards,
Comment 1 Marko Cupać 2016-02-12 10:42:24 UTC
Comment on attachment 166892 [details]
diffs for Makefile and distinfo

>--- /usr/ports/www/mathjax/Makefile.orig	2016-02-12 10:47:55.701839127 +0100
>+++ /usr/ports/www/mathjax/Makefile	2016-02-12 11:40:59.867668577 +0100
>@@ -2,10 +2,10 @@
> # $FreeBSD: head/www/mathjax/Makefile 394978 2015-08-21 16:47:25Z amdmi3 $
> 
> PORTNAME=	MathJax
>-PORTVERSION=	2.4.0
>+PORTVERSION=	2.6.1
> CATEGORIES=	www
> 
>-MAINTAINER=	ports@FreeBSD.org
>+MAINTAINER=	marko.cupac@mimar.rs
> COMMENT=	Cross-browser JavaScript display engine for mathematics
> 
> LICENSE=	APACHE20
>
>
>--- /usr/ports/www/mathjax/distinfo.orig	2016-02-12 10:48:07.562838472 +0100
>+++ /usr/ports/www/mathjax/distinfo	2016-02-12 11:01:41.602786506 +0100
>@@ -1,2 +1,2 @@
>-SHA256 (mathjax-MathJax-2.4.0_GH0.tar.gz) = cd7175e1e352793942a976bf40692b954b5169bd28533921a8a8dd4ec865d855
>-SIZE (mathjax-MathJax-2.4.0_GH0.tar.gz) = 23048567
>+SHA256 (mathjax-MathJax-2.6.1_GH0.tar.gz) = c746945d87a4e93ee801a44b6209986bfc901cb2f6c505628a2ed5793422fbb8
>+SIZE (mathjax-MathJax-2.6.1_GH0.tar.gz) = 24565160
Comment 2 Marko Cupać 2016-02-12 10:47:12 UTC
Created attachment 166893 [details]
diffs for Makefile and distinfo

Last diff was incorrect
Comment 3 commit-hook freebsd_committer 2016-02-23 10:22:46 UTC
A commit references this bug:

Author: miwi
Date: Tue Feb 23 10:22:39 UTC 2016
New revision: 409412
URL: https://svnweb.freebsd.org/changeset/ports/409412

Log:
  - Update to 2.6.1
  - Pass maintainership to submitter

  PR:		207127
  Submitted by:	Marko Cupac

Changes:
  head/www/mathjax/Makefile
  head/www/mathjax/distinfo